modules:
  default:
    lmod:
      openmpi:
        environment:
          set:
            OMPI_MCA_pml: 'ucx'
            OMPI_MCA_osc: 'ucx'
            UCX_NET_DEVICES: 'mlx5_2:1,mlx5_3:1'
      nccl:
        environment:
          set:
            NCCL_IB_HCA: 'mlx5_2:1,mlx5_3:1'
            NCCL_SOCKET_IFNAME: 'bond0'
      nvshmem:
        environment:
          set:
            NVSHMEM_HCA_LIST: 'mlx5_2:1,mlx5_3:1'
            NVSHMEM_BOOTSTRAP: MPI
